Bug 136305 - [patch] audio/musicpd: 0.15 update
Summary: [patch] audio/musicpd: 0.15 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Logvinov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-04 01:30 UTC by David Horn
Modified: 2009-07-27 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.10 KB, patch)
2009-07-04 01:30 UTC, David Horn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Horn 2009-07-04 01:30:04 UTC
This is an update to audio/musicpd to the new upstream version 0.15
- Updated Makefile with fix to ports/131991 (missing LIBDEPENDS for libcurl)
- Added new config knobs and appropriate LIBDEPENDS/CONFIG_ARGS for 0.15 features:
- Last.fm experimental streaming input
- mms streaming input
- Modplug decoder input
- Archive file support (bzip2/zip/iso9660)
- built-in httpd streaming output

Fix: See attached unified diff patch file.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-07-04 01:30:12 UTC
Maintainer of audio/musicpd,

Please note that PR ports/136305 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/136305

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-07-04 01:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Alexander Logvinov freebsd_committer 2009-07-07 11:45:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

I'll take it.
Comment 4 dfilter service freebsd_committer 2009-07-27 13:20:43 UTC
avl         2009-07-27 12:20:34 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo 
  Removed files:
    audio/musicpd        pkg-plist 
  Log:
  - Update to 0.15 [1]
  - Add new config knobs [1]
  - Add dependency on libcurl [2]
  - Use PLIST_FILES and PORTDOCS instead pkg-plist
  
  PR:             ports/136305 [1], ports/131991 [2]
  Submitted by:   David Horn <dhorn2000 AT gmail.com> [1], Rick Dicaire <kritek AT gmail.com> [2]
  Approved by:    maintainer timeout, tabthorpe (mentor)
  
  Revision  Changes    Path
  1.44      +67 -18    ports/audio/musicpd/Makefile
  1.21      +3 -3      ports/audio/musicpd/distinfo
  1.6       +0 -10     ports/audio/musicpd/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Alexander Logvinov freebsd_committer 2009-07-27 13:21:17 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!